# IMS-Specific Parameters

The following table lists the specific and advanced parameters for the Substation ES IMS interface. You should change the values of these parameters only if you are knowledgeable about the system or if you are assisted by a Substation ES representative.

IMS Interface Parameters
Parameter | Description
--- | ---
BUFF-GROUP = {8 | number} | The BUFF-GROUP parameter specifies the number of buffers for communicating with the XCF group. The valid range is 8 through 64; the default value is 8.
BUFF-SRB = {64 | number} | The BUFF-SRB parameter specifies the number of buffers used by the OTMA interface service request blocks (SRBs) to communicate with IMS and the OTMA server. This value must be about three times that of the BUFF-TRANS parameter. The valid range is 32 through 1024; the default value is 64.
BUFF-TRANS = {20 | number} | The BUFF-TRANS parameter specifies the number of buffers that send transaction or command information to IMS. This value must be greater than or equal to that of the IMS Interface WORKERS parameter. The default value is 20.
BUFFLEN-GROUP = {2048 | number} | The BUFFLEN-GROUP parameter specifies the length of buffers used in the communication with the XCF and XCF group and members. The default value must be sufficient unless the XCF group is very large. The valid size (in bytes) is 512 through 65536 (64 KB); the default value is 2048 bytes.
BUFFLEN-SRB = {4096 | number} | The BUFFLEN-SRB parameter specifies the buffer length used in the SRB routines. For better results set the value to be greater than or equal to the most frequently used IOPCB size of your IMS transactions, or the size of your data area for ICAL operations. The valid size (in bytes) is 4096 through 65536 (64 KB); the default value is 4096 (4 KB). Note: IMS does not support segments larger than 32K. As a result, a value between 32K and 64K is not currently suggested.
BUFFLEN-TRANS = {4096 | number} | The BUFFLEN-TRANS parameter specifies the length of data buffers for gathering and receiving IMS data. The value must be equal to the largest data area being transferred to and from IMS. Normally, the value of the BUFFLEN-SRB parameter must be equal to the value specified here. For trigger processing (IMS outbound), this value also determines the maximum size for which Substation ES provisions when transmitting data to the ESB. The valid size (in bytes) is 4096 through 4194304 (4 MB); the default value is 4096 (4 KB).
COMMIT-MODE = {1 | number} | The COMMIT-MODE parameter defines whether the IMS transactions processed by Substation ES are coded as commit 0 or commit 1. This value is passed on in each of the transactions. The commit-then-send (commit mode 0) processing option commits the transaction output as part of sync-point processing and then delivers the output to the OTMA client. The send-then-commit (commit mode 1) processing option first delivers the transaction output, receives an acknowledgment from the OTMA client, and then completes the sync-point processing. The default value is 1.
OTMA-SMEM = smem | The OTMA-SMEM parameter specifies that this IMS Interface instance accesses OTMA super member `smem`. This value must match the `SMEM=` on the destination definition in the `DFSYDTn` IMS PROCLIB member. This parameter has no default value; you must specify the value if super members are to be used.
TIMEOUT-SYNC = {10 | number} | The TIMEOUT-SYNC parameter specifies the timeout value (in seconds) that the Substation ES synchronous callout process waits before sending a clear SRB request to the OTMA interface. The valid range is 1 to 120 seconds. The default value is 10 seconds.
TPIPE-DEFAULT = {SXITPIPE | name} | The TPIPE-DEFAULT parameter specifies a one- to eight-character OTMA transaction pipe (TPIPE) name, which is analogous to `LTERM`. It is a logical structure that represents an anchor point for Substation ES transactions and output. The TPIPE name is unique within IMS Interface. This parameter has no default value; you must specify the value.
TPIPE-PREFIX = {SXITP | name} | The TPIPE-PREFIX parameter specifies a one- to five-character OTMA named transaction pipe (TPIPE) name, which is analogous to `LTERM`. It is a logical structure that represents an anchor point for Substation ES transactions and output. The TPIPE prefix constructs a named TPIPE for conversational and transactional methods of invocation to the IMS back-end system. Substation ES suffixes the specified name with a unique three-digit number. The named TPIPE is reused as soon as the conversation or transaction is complete. This parameter has no default value; you must specify the value.
TRCLVL-OTMA = {2 | number} | The TRCLVL-OTMA parameter specifies the tracing level for components of the OTMA interface that are located in IMS Interface. This value can also be dynamically changed by submitting the Substation ES operational commands. This parameter does not alter the other trace settings that were set in Substation ES and only targets modules that are active when communicating with XCF and OTMA. Trace information is immediately written to the Substation ES tracing facility. A value of 0 produces minimal messages; a value of 5 includes snaps of control blocks and data. The recommended value is 2.
TRCLVL-TRIG = {0 | 0-3} | The TRCLVL-TRIG parameter specifies the trace level of IMS Interface when tracing trigger entries that pass through the interface. The valid values are as follows: Level 1 only traces an entry in the log file. Level 2 dumps the buffer content in the trace file into the log file. Level 3 includes all details from trigger processes in the trace file. A value of 0 disables tracing of trigger entries on IMS Interface. This parameter does not duplicate what is set on the trigger definition in the configuration file. The value on the trigger definition traces the trigger entry only when the ESB receives and processes it. The TRCLVL-TRIG parameter traces the entry as soon as the entry arrives at Substation IMS Interface. The default value is 0.
TRIG-NUM = {2 | number} | The TRIG-NUM parameter specifies the number of concurrent OTMA trigger sessions that will be started to service Substation ES requests. Valid values range from 1 through 32. Refrain from increasing this value greater than 5 without consulting your Substation ES representative. Otherwise, performance degradation and other effects might result. If you do not specify a keyword or value, the default value of 2 applies.
TRIG-RDQ-NAME = {SXITRG$R | name} | The TRIG-RDQ-NAME value specifies a one- to eight-character Substation ES IMS Interface reliable trigger destination name. This value is used by IMS applications to reroute messages to Substation ES IMS Interface by using OTMA. If applications reroute or insert messages that are intended for Substation ES to an alternate program communications block (PCB), specify this name to be LTERM. This parameter has no default value; you must specify the value.
TRIG-GDQ-NAME = {SXITRG$G | name} | The TRIG-GDQ-NAME parameter specifies a one- to eight-character Substation ES IMS Interface guaranteed trigger destination name. This value is used by IMS to reroute messages through OTMA to Substation ES IMS Interface. When applications reroute or insert messages that are intended for Substation ES to an alternate PCB, specify this name to be LTERM. This parameter has no default value; you must specify the value.
TRIG-SYNC = {SXITSYNC |name} | The TRIG-SYNC parameter specifies a one- to eight-character Substation ES IMS Interface synchronous call-out destination name. This value is used by IMS to route synchronous call-out transactions through OTMA to EMS or Rendezvous. This value must match a destination-type entry in IMS parameter member `DFSYDTx`. TIBCO supplies a sample `DFSYDT10` member in the `USERHLQ.PROC` data set.
WAIT-INIT = {200 | time} | The WAIT-INIT parameter specifies a value (in hundredths of a second) that can be in the range of 100 through 3000. This value denotes the maximum time that Substation ES IMS Interface waits during XCF initialization and for the OTMA server to be contacted before issuing an error. The default value is 200.
WAIT-MESSAGE = {10 | time} | The WAIT-MESSAGE parameter specifies a value (in seconds) in the range of 1 through 600. This value denotes the maximum time that Substation ES IMS Interface waits for a response from the IMS server for transactions or commands before issuing a timeout. The default value is 10 seconds.
WAIT-OTMA = {100 | time } | The WAIT-OTMA parameter specifies a value (in hundredths of a second) in the range of 10 to 500. This value denotes the maximum time that Substation ES IMS Interface waits for a NACK response from the IMS server on a RESUME TPIPE command issued during interface initialization. If a NACK response is not received during this time frame, IMS Interface assumes that the RESUME TPIPE command is run successfully, as IMS (by design) does not issue an ACK to this request. The default value is 100 (1 second).
WAIT-TRANS-TO = {300 | time} | The WAIT-TRANS-TO parameter specifies a value (in seconds) in the range of 1 through 3000. This is the time Substation ES waits after the message wait time has expired before flushing the transaction buffer. The default value is 300 seconds.
XCF-IMSGRP = {SXIXCFGR | name} | The XCF-IMSGRP parameter specifies a one- to eight-character name of the XCF group for IMS OTMA. This value must correspond to that of the GRNAME startup parameter for the IMS control region. This parameter has no default value; you must specify the value.
XCF-IMSMBR = {SXI#XCFMBR | name} | The XCF-IMSMBR parameter specifies a one- to 16-character name of the XCF member to be used during a connection to the XCF group. This value must be unique for all the interfaces or members that connect to the XCF group. This parameter has no default value; you must specify the value.

Copyright © TIBCO Software Inc. All rights reserved.